Skip to content

Update order

PUT
/orders/{id}

Updates an existing order.

id
required
integer
Example
5001

Order ID

Request body for creating or updating an order. When imported_from is Woocommerce, an existing order with the same order_id for this member is updated rather than creating a duplicate.

object
order_id

External order number from the originating platform

string
Example
WC-1234
imported_from

Platform the order was imported from (e.g. Woocommerce, Shopify, eBay)

string
Example
Woocommerce
transdirect_order_id

ID of the Transdirect booking to link to this order

integer
Example
12345678
selected_courier

Courier identifier selected for this order

string
Example
allied
purchased_time

When the order was purchased on the external platform

string
Example
2026-02-15 09:00:00
sale_price

Sale price from the external platform in AUD

number
Example
99.95
paid_time

When the order was paid on the external platform

string
Example
2026-02-15 09:05:00
buyer_name

Name of the buyer

string
Example
Jane Doe
buyer_email

Email of the buyer

string
Example
jane@example.com
delivery

Delivery address details

object
name
string
Example
Jane Doe
email
string
Example
jane@example.com
phone
string
Example
0498765432
address
string
Example
456 Collins Street, Melbourne VIC 3000

Updated order

object
id

Internal order record identifier

integer
Example
5001
transdirect_order_id

Associated Transdirect booking ID

integer | null
Example
12345678
transdirect_member_id

Member ID that owns this order

integer
Example
10001
transdirect_order_status

Order status

string
Allowed values: pending booked manually_dispatched cancelled deleted removed
Example
pending
order_id

External order number from the originating platform (e.g. WooCommerce order number)

string | null
Example
WC-1234
goods_summary

Summary of goods in the order

string | null
Example
Electronics
goods_dump

Raw goods data dump from the originating platform

string | null
imported_from

Platform the order was imported from (e.g. Woocommerce, Shopify, eBay)

string | null
Example
Woocommerce
imported_time

ISO 8601 timestamp of when the order was imported

string
Example
2026-02-15T10:30:00+11:00
purchased_time

When the order was purchased on the external platform

string | null
Example
2026-02-15 09:00:00
sale_price

Sale price from the external platform in AUD

number | null
Example
99.95
selected_courier

The courier selected for this order’s shipment

string | null
Example
allied
courier_price

The quoted courier price for this order in AUD

number | null
Example
18.75
paid_time

When the order was paid on the external platform

string | null
Example
2026-02-15 09:05:00
buyer_name

Name of the buyer

string | null
Example
Jane Doe
buyer_email

Email of the buyer

string | null
Example
jane@example.com
delivery

Delivery address details

object
name

Delivery recipient name

string | null
Example
Jane Doe
email

Delivery contact email

string | null
Example
jane@example.com
phone

Delivery contact phone

string | null
Example
0498765432
address

Delivery street address

string | null
Example
456 Collins Street, Melbourne VIC 3000
last_updated

ISO 8601 timestamp of the last update

string | null
Example
2026-02-15T14:05:32+11:00

Validation error

object
error

Error code or type

string
Example
validation_error
message

Human-readable error message

string
Example
The sender postcode field is required.

Unauthorized

object
error

Error code or type

string
Example
validation_error
message

Human-readable error message

string
Example
The sender postcode field is required.

Order not found

object
error

Error code or type

string
Example
validation_error
message

Human-readable error message

string
Example
The sender postcode field is required.